<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" th:fragment="main-fragment(titre,maincontent)">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link th:rel="stylesheet" th:href="@{/webjars/bootstrap/5.3.0/css/bootstrap.min.css}"/>
<title th:replace="${titre}">Formation Spring</title>
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark mb-5 sticky-top">
    <a class="navbar-brand" href="/exemple">Formation Spring</a>
    <div class="container-fluid">
        <button class="navbar-toggler" type="button"
            data-bs-toggle="collapse" data-bs-target="#navbarToggler"
            aria-controls="navbarToggle" aria-expanded="false"
            aria-label="Toggle Navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarToggler">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-items"><a class="nav-link" href="/exemple">Exemple</a></li> 
                <li class="nav-items"><a class="nav-link" href="/presentation">Présentation</a></li>  
                <li class="nav-items"><a class="nav-link" href="/exemple/exemplethymeleaf">Thymeleaf</a></li>
                <li class="nav-items"><a class="nav-link" href="/admin/articles">Article</a></li>
            </ul>  
        </div>
    </div>
</nav>
<main class="container-fluid">
    <div th:replace="${maincontent}?:~{}"> </div>

<footer>
    <hr/>
    <p class="text-center small">Formation  Spring - Dawan - Juillet 2023</p>
</footer>
</main>
<script th:src="@{/webjars/bootstrap/5.3.0/js/bootstrap.min.js}"></script>
</body>

</html>